<template>
    <div class="form-header-container">
        <div class="row">
            <div class="col-lg-6">
                <div class="header-main-text">Send a warm welcome to your new Messenger Subscribers with a personalized message from your store. Sends immediately to anyone who opts-in to receiving your Messenger notifications.</div>
            </div>
            <div class="col-lg-6">
                <div class="action-container">
                    <ToggleButton :font-size="12"  class="toggle-btn" :height="24" :labels="true" color="rgb(45, 119, 245)"></ToggleButton>
                    <div>
                        <button class="send-preview-btn">Send Preview</button>
                    </div>
                    <div>
                        <button class="save-btn">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "WelcomeHeader"
}
</script>

<style scoped lang="scss">

.form-header-container {
    margin-bottom: 40px;
    line-height: 1.6em;
}

.header-main-text {
    font-size: 14px;
    font-weight: 500;
    display: inline-block;
}

.header-description {
    font-size: 11px;
    font-weight: 500;
    margin-top: 5px;
}

.help-tooltip {
    color: #4786FF;
    font-size: 20px;
    margin-left: 5px;
}

.save-btn {
    background: #4786FF;
    color: white;
    padding: 9px 22px;
    font-weight: bold;
    display: flex;
    border-radius: 5px;
    align-items: center;
    font-size: 14px;

&:hover {
     background: #DAE7FF;
     color: #4786FF;
 }

}

.toggle-btn {
    margin-bottom: 0;
    font-weight: bold;
    margin-right: 15px;
}

.action-container {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.send-preview-btn {
    background: #DAE7FF;
    color: #4786FF;
    padding: 8px 20px;
    font-weight: bold;
    display: flex;
    border-radius: 5px;
    align-items: center;
    font-size: 14px;
    margin-right: 3px;

&:hover {
     background: #4786FF;
     color: white;
 }
}


</style>
